Page MenuHomePhabricator

Implement negated searching of 'depicts' statements on commons
Closed, ResolvedPublic

Description

Searching for statements associated with a File page on commons is implemented, but atm it's not possible to search for everything that does NOT have a particular statement - e.g. find all files that do NOT depict a cat

This is the ticket for implementing negated searching of statements

Event Timeline

Cparle triaged this task as Normal priority.Jun 22 2018, 11:23 AM
Cparle created this task.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Jun 26 2018, 7:38 AM

Turns out negation is supported by default with cirrus keyword features \o/

To find all files that do not depict a cat do -haswbstatement:depicts=cat

Cparle closed this task as Resolved.Jun 29 2018, 4:40 PM
Vvjjkkii renamed this task from Implement negated searching of 'depicts' statements on commons to ygaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Cparle as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Cparle renamed this task from ygaaaaaaaa to Implement negated searching of 'depicts' statements on commons.Jul 2 2018, 9:01 AM
Cparle closed this task as Resolved.
Cparle claimed this task.
Cparle lowered the priority of this task from High to Normal.
Cparle updated the task description. (Show Details)
Cparle added a subscriber: Aklapper.